[LFS Trac] #2032: LFS 6.2.5 error in chrooting due to bash needing wide charset ncurses libraries

LFS Trac trac at linuxfromscratch.org
Thu Jun 14 14:28:43 PDT 2007


#2032: LFS 6.2.5 error in chrooting due to bash needing wide charset ncurses
libraries
------------------------+---------------------------------------------------
 Reporter:  rsimplicio  |       Owner:  lfs-book at linuxfromscratch.org           
     Type:  defect      |      Status:  new                                     
 Priority:  normal      |   Milestone:  6.2                                     
Component:  Book        |     Version:  6.2                                     
 Severity:  normal      |    Keywords:  bash ncurses libcursesw.so.5 libcursessw
------------------------+---------------------------------------------------
 I'm not sure if it's my choice of locale or what have you. I got an error
 when trying to do the chroot in Chapter 6.4. I am building LFS 6.2.5, from
 the LFS LiveCD.

 {{{

 /tools/bin/bash: error while loading shared libraries: libcursesw.so.5:
 cannot[[BR]]
 open shared object file: No such file or directory

 }}}

 In researching the issue, I found that in chapter 6.18, the flag --enable-
 widec is to be used to include wide charset libraries. I suggest updating
 chapter 5.13 to include this. If this is approved, I will be happy to make
 and commit the change to the book myself.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/2032>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.



More information about the lfs-book mailing list